Package org.eclipse.rdf4j.repository.http

## Class HTTPUpdateExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.query.UpdateExecutionException
          - - org.eclipse.rdf4j.repository.http.HTTPUpdateExecutionException

- All Implemented Interfaces:
    `Serializable`

      public class HTTPUpdateExecutionException
      extends UpdateExecutionException

  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTTPUpdateExecutionException​(String msg)` |
    `HTTPUpdateExecutionException​(String msg, Throwable cause)` |
    `HTTPUpdateExecutionException​(Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IOException` | `getCauseAsIOException()` |
    `MalformedQueryException` | `getCauseAsMalformedQueryException()` |
    `RepositoryException` | `getCauseAsRepositoryException()` |
    `boolean` | `isCausedByIOException()` |
    `boolean` | `isCausedByMalformedQueryException()` |
    `boolean` | `isCausedByRepositoryException()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPUpdateExecutionException

          public HTTPUpdateExecutionException​(String msg)

      Parameters:
        `msg` -

    - #### HTTPUpdateExecutionException

          public HTTPUpdateExecutionException​(String msg,
                                              Throwable cause)

      Parameters:
        `msg` -
        `cause` -

    - #### HTTPUpdateExecutionException

          public HTTPUpdateExecutionException​(Throwable cause)

      Parameters:
        `cause` -

  - ### Method Detail

    - #### isCausedByIOException

          public boolean isCausedByIOException()

    - #### isCausedByRepositoryException

          public boolean isCausedByRepositoryException()

    - #### isCausedByMalformedQueryException

          public boolean isCausedByMalformedQueryException()

    - #### getCauseAsIOException

          public IOException getCauseAsIOException()

    - #### getCauseAsRepositoryException

          public RepositoryException getCauseAsRepositoryException()

    - #### getCauseAsMalformedQueryException

          public MalformedQueryException getCauseAsMalformedQueryException()